#
# spec file for package ghc-temporary
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name temporary
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        1.2.1
Release:        lp150.1.8
Summary:        Portable temporary file and directory support
License:        BSD-3-Clause
Group:          Development/Languages/Other
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-exceptions-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-unix-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %{with tests}
BuildRequires:  ghc-base-compat-devel
BuildRequires:  ghc-tasty-devel
BuildRequires:  ghc-tasty-hunit-devel
%endif

%description
Functions for creating temporary files and directories.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc CHANGELOG.md

%changelog
* Mon Jun 19 2017 psimons@suse.com
- Update to version 1.2.1.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 1.2.0.4 revision 0 with cabal2obs.
* Tue Jan 26 2016 mimi.vx@gmail.com
- update to 1.2.0.4
* Wed Apr 22 2015 mimi.vx@gmail.com
- update to 1.2.0.3
  * no upstream changelog
* Thu Nov 13 2014 peter.trommler@ohm-hochschule.de
- update to 1.1.2.5
  * compatibility with Haskell Platform 2014.2.0.0
  * no upstream changelog
* Mon Oct 21 2013 sbahling@suse.com
- spec file: Add %%defattr(-,root,root,-) to %%files devel section
* Wed May 15 2013 peter.trommler@ohm-hochschule.de
- update to 1.1.2.4 from upstream
  * adjust library version bounds to ghc 7.6 libs
* Thu Jun  7 2012 peter.trommler@ohm-hochschule.de
- cabal2spec 0.25.5 spec file template
* Mon Mar 12 2012 peter.trommler@ohm-hochschule.de
- fixed exclusive arch tag
* Mon Mar 12 2012 peter.trommler@ohm-hochschule.de
- initial packaging.
